home:
    path: /
    controller: App\Controller\HomeController::index

adeline:
    path: /adeline
    controller: App\Controller\HomeController::adeline

adoption:
    path: /adoption
    controller: App\Controller\HomeController::adoption

tarif:
    path: /tarifs
    controller: App\Controller\HomeController::tarif

actualites:
    path: /actualites
    controller: App\Controller\ActualityController::index

actuality.show:
    path: /actualites/{slug}-{id}
    controller: App\Controller\ActualityController::show
    requirements:
        slug: '[a-z0-9\-]*'

contact:
    path: /contact
    controller: App\Controller\HomeController::contact

mentions:
    path: /mentions-legales-rgpd
    controller: App\Controller\HomeController::mention

#admin route
admin:
    path: /admin
    controller: App\Controller\Admin\AdminController::index

#admin actuality route
admin.actuality.index:
    path: /admin/actualites
    controller: App\Controller\Admin\AdminActualityController::index

admin.actuality.new:
    path: /admin/actualites/new
    controller: App\Controller\Admin\AdminActualityController::new

admin.actuality.edit:
  path: /admin/actualites/{id}
  controller: App\Controller\Admin\AdminActualityController::edit
  requirements:
    id: '\d+'
  methods: 'GET|POST'

admin.actuality.delete:
  path: /admin/actualites/{id}
  controller: App\Controller\Admin\AdminActualityController::delete
  requirements:
    id: '\d+'
  methods: 'DELETE'

admin.pictures.delete:
  path: /admin/pictures/{id}
  controller: App\Controller\Admin\AdminPictureActuController:delete
  requirements:
    id: '\d+'
  methods: 'DELETE'

#admin category route
admin.category.index:
    path: /admin/categories
    controller: App\Controller\Admin\AdminCategoryController::index

admin.category.new:
    path: /admin/categories/new
    controller: App\Controller\Admin\AdminCategoryController::new

admin.category.edit:
  path: /admin/categories/{id}
  controller: App\Controller\Admin\AdminCategoryController::edit
  requirements:
    id: '\d+'
  methods: 'GET|POST'

admin.category.delete:
  path: /admin/categories/{id}
  controller: App\Controller\Admin\AdminCategoryController::delete
  requirements:
    id: '\d+'
  methods: 'DELETE'

#login/logout
login:
  path: /admin/login
  controller: App\Controller\SecurityController::login

logout:
  path: /admin/logout